---
default:
  tags:
    - gitlab-org-docker

stages:
  - test
  - build
  - publish

variables:
  CHART_DIR: ./charts/libvirt-metal

include:
  - project: "to-be-continuous/gitleaks"
    ref: "2.7.0"
    file: "templates/gitlab-ci-gitleaks.yml"

  - project: 'renovate-bot/renovate-runner'
    ref: v20.1.0
    file: '/templates/renovate-config-validator.gitlab-ci.yml'
    rules:
      - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
        changes:
          paths:
            - .gitlab-ci.yml
            - renovate.json

  - project: 'sylva-projects/sylva-elements/renovate'
    ref: 1.0.0
    file: '/templates/renovate-dry-run.gitlab-ci.yml'
    rules:
      - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
        changes:
          paths:
            - renovate.json

  - project: 'sylva-projects/sylva-elements/ci-tooling/ci-templates'
    ref: 1.0.37
    file:
      - 'templates/docker-build.yml'
      - 'templates/release-notes.yml'
      - 'templates/helm-tooling.yml'